# Uses of Interface
org.springframework.jdbc.core.CallableStatementCreator

Packages that use CallableStatementCreator
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.
org.springframework.jdbc.object
The classes in this package represent RDBMS queries, updates, and stored procedures as threadsafe, reusable objects.

## Uses of CallableStatementCreator in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core that return CallableStatementCreator
Modifier and Type
Method
Description
`CallableStatementCreator`
CallableStatementCreatorFactory.`newCallableStatementCreator(Map<String,?> params)`
Return a new CallableStatementCreator instance given these parameters.
`CallableStatementCreator`
CallableStatementCreatorFactory.`newCallableStatementCreator(ParameterMapper inParamMapper)`
Return a new CallableStatementCreator instance given this parameter mapper.
Methods in org.springframework.jdbc.core with parameters of type CallableStatementCreator
Modifier and Type
Method
Description
`Map<String,Object>`
JdbcOperations.`call(CallableStatementCreator csc, List<SqlParameter> declaredParameters)`
Execute an SQL call using a CallableStatementCreator to provide SQL and any required parameters.
`Map<String,Object>`
JdbcTemplate.`call(CallableStatementCreator csc, List<SqlParameter> declaredParameters)`
`<T> T`
JdbcOperations.`execute(CallableStatementCreator csc, CallableStatementCallback<T> action)`
Execute a JDBC data access operation, implemented as callback action working on a JDBC CallableStatement.
`<T> T`
JdbcTemplate.`execute(CallableStatementCreator csc, CallableStatementCallback<T> action)`

## Uses of CallableStatementCreator in org.springframework.jdbc.object

Methods in org.springframework.jdbc.object that return CallableStatementCreator
Modifier and Type
Method
Description
`protected CallableStatementCreator`
SqlCall.`newCallableStatementCreator(Map<String,?> inParams)`
Return a CallableStatementCreator to perform an operation with these parameters.
`protected CallableStatementCreator`
SqlCall.`newCallableStatementCreator(ParameterMapper inParamMapper)`
Return a CallableStatementCreator to perform an operation with the parameters returned from this ParameterMapper.